Summary:	Tools for Managing Linux CIFS Client Filesystems
Name:		cifs-utils
Version:	4.4
License:	GPLv3
Group:		Networking/Other
Release:	%mkrel 2
URL:		http://www.samba.org/linux-cifs/cifs-utils/
Source0:	ftp://ftp.samba.org/pub/linux-cifs/cifs-utils/%{name}-%{version}.tar.bz2
#BuildRequires:	talloc-devel >= 4.0
BuildRequires:	pkgconfig(talloc)
BuildRequires:	keyutils-devel
BuildRequires:	krb5-devel
BuildRequires:	cap-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Suggests:	sudo nss_wins
Provides:	mount-cifs = %{version}
Obsoletes:	mount-cifs <= 4.0

%description
Tools for Managing Linux CIFS Client Filesystems.

%prep

%setup -q

%build
%serverbuild
rm -rf autom4te.cache
%configure2_5x \
    --sbindir=/sbin

%make

%install
rm -rf %{buildroot}

%makeinstall_std
mkdir %{buildroot}/bin
ln -s ../sbin/mount.cifs %{buildroot}/bin/mount.cifs
# Hack for smb4k
ln -s umount %{buildroot}/bin/umount.cifs

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README doc/linux-cifs-client-guide.odt
/sbin/cifs.upcall
/sbin/mount.cifs
/bin/mount.cifs
/bin/umount.cifs
%{_mandir}/man8/cifs.upcall.8*
%{_mandir}/man8/mount.cifs.8*



%changelog
* Tue May 18 2010 Buchan Milne <bgmilne@mandriva.org> 4.4-2mdv2010.1
+ Revision: 545280
- Provide additional symlinks required if we are to replace mount-cifs
- Provide/obsolete mount-cifs (samba 3.5 packages allow this, 3.4 not currently)
- Suggest sudo (for use with e.g. smb4k) and nss_wins (to provide name resolution)

* Thu May 06 2010 Buchan Milne <bgmilne@mandriva.org> 4.4-1mdv2010.1
+ Revision: 543019
- New version 4.4

* Wed Apr 14 2010 Buchan Milne <bgmilne@mandriva.org> 4.3-2mdv2010.1
+ Revision: 534798
- BR cap-devel

* Tue Apr 13 2010 Buchan Milne <bgmilne@mandriva.org> 4.3-1mdv2010.1
+ Revision: 534178
- update to new version 4.3

* Tue Apr 06 2010 Buchan Milne <bgmilne@mandriva.org> 4.2-1mdv2010.1
+ Revision: 532128
- update to new version 4.2

* Thu Apr 01 2010 Buchan Milne <bgmilne@mandriva.org> 4.1-1mdv2010.1
+ Revision: 530603
- update to new version 4.1

* Fri Mar 12 2010 Oden Eriksson <oeriksson@mandriva.com> 4.0-0.1mdv2010.1
+ Revision: 518388
- fix deps (krb5-devel)
- import cifs-utils


* Fri Mar 12 2010 Oden Eriksson <oeriksson@mandriva.com> 4.0-0.1mdv2010.0
- initial Mandriva package
